<p-table [value]="bookPurchaseHistory$ | async"
         [tableStyle]="{ 'min-width': '50rem' }">
  <ng-template pTemplate="header">
    <tr>
      <th>Title</th>
      <th>Authors</th>
      <th>Quantity</th>
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-history>
    <tr>
      <td>{{ history.title }}</td>
      <td>{{ getAuthors(history.authors) }}</td>
      <td>{{ history.quantity }}</td>
    </tr>
  </ng-template>
</p-table>
